<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <title>Note List</title>
    <style>
        @import url('https://fonts.googleapis.com/css2?family=Inter:wght@500&display=swap');
        body {
            background: #0f2027; 
            background: -webkit-linear-gradient(to right, #0f2027, #203a43, #2c5364);
            background: linear-gradient(to right, #0f2027, #203a43, #2c5364);
        }
        .flexbox {
            width: 80%;
            border-radius: 5px; 
            margin: 50px auto;
            box-sizing: border-box;
            display: flex;
            justify-content: center;
            flex-direction: row;
            flex-wrap: wrap;
            background: #22577A;  /* fallback for old browsers */
            box-shadow: 0 4px 8px 0 rgba(47, 199, 250, 0.5);
            transition: 0.5s;
        }
        
        .card{
            font-family: Inter, sans-serif;
            min-width: 12rem;
            min-height: 20rem;
            box-shadow: 0 4px 8px 0 rgb(255, 255, 255); /*horizontal, vertikal, keburaman, spread bayangan (r,g,b, opacity)*/
            transition: 0.3s;
            border-radius: 10px;
            padding: 20px;
            margin: 10px 20px;
            background-color: #FFDEE9;
            background-image: linear-gradient(0deg, #FFDEE9 0%, #B5FFFC 100%);
        }

        .card:hover{
            box-shadow: 0 8px 16px 0 rgb(255, 255, 255);
        }

    </style>
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
            <a class="navbar-brand" href="#">NOTES</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
              <ul class="navbar-nav">
                <li class="nav-item">
                  <a class="nav-link" href="/lab-4/">Home</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="add-note">Forms</a>
                </li>
                <li class="nav-item active">
                    <a class="nav-link" href="#">Note List</a>
                </li>
              </ul>
            </div>
          </nav>
    </header>
    <main>
        <div class="flexbox">
            {%for note in notes%}
            <div class="card" style="width: 18rem;">
                <div class="card-body">
                    <h2 class="card-text">{{ note.to }} </h2>
                    <h5 class="card-text">{{ note.title }}</p>
                    <p class="card-text">{{ note.message }}</p>
                    <p class="card-text">{{ note.fromm }}</p>
                </div>
              </div>
            {% endfor %}
        </div>
    </main>
    
</body>
</html>